export {
  getCookie,
  setCookie,
  delCookie
}
// 获取cookie、
function getCookie(name) {
  const reg = new RegExp('(^| )' + name + '=([^;]*)(;|$)')
  const arr = document.cookie.match(reg)
  if (arr) { return (arr[2]) } else { return null }
}

// 设置cookie,增加到vue实例方便全局调用
function setCookie(c_name, value, expiredays) {
  const exdate = new Date()
  exdate.setDate(exdate.getDate() + expiredays)
  document.cookie = c_name + '=' + escape(value) + ((!expiredays) ? '' : ';expires=' + exdate.toGMTString()) + ';path=/;'
}

// 删除cookie
function delCookie(name) {
  var exp = new Date()
  exp.setTime(exp.getTime() - 1)
  const cval = getCookie(name)
  if (cval != null) { document.cookie = name + '=' + cval + ';expires=' + exp.toGMTString() + ';path=/;' }
}

